Get rebranding status for an organization

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api.my.nethesis.it/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "my.nethesis.it MCP server": {
    "url": "https://api.my.nethesis.it/mcp"
  }
}

Close
GET /rebranding/{org_id}/status

Path parameters

  • org_id string Required

    Logto organization ID (logto_id, not the database UUID)

Responses

  • 200 application/json

    Rebranding status retrieved

    Hide response attributes Show response attributes object
    • code integer
    • message string
    • data object
      Hide data attributes Show data attributes object
      • enabled boolean
      • products array[object]
        Hide products attributes Show products attributes object
        • product_id string
        • product_display_name string
        • product_type string

          Values are application or system.

        • product_name string | null
        • assets array[string]
  • 403 application/json

    Forbidden - insufficient permissions

    Hide response attributes Show response attributes object
    • code integer
    • message string
    • data object | null
GET /rebranding/{org_id}/status
curl \
 --request GET 'https://collect.your-domain.com/api/rebranding/{org_id}/status' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "code": 42,
  "message": "string",
  "data": {
    "enabled": true,
    "products": [
      {
        "product_id": "nethvoice",
        "product_display_name": "NethVoice",
        "product_type": "application",
        "product_name": "CustomVoice",
        "assets": [
          "logo_light_rect",
          "logo_dark_rect",
          "favicon"
        ]
      }
    ]
  }
}
Response examples (403)
{
  "code": 403,
  "message": "insufficient permissions",
  "data": {}
}